<link rel="import" href="frontend://bower_components/vaadin-text-field/vaadin-text-field.html">
<link rel="import" href="frontend://bower_components/vaadin-date-picker/vaadin-date-picker.html">
<link rel="import" href="frontend://bower_components/uibuilder-grid/uibuilder-grid.html">
<link rel="import" href="frontend://bower_components/uibuilder-detail-panel/uibuilder-detail-panel.html">
<link rel="import" href="frontend://bower_components/uibuilder-master-detail-controller/uibuilder-master-detail-controller.html">
<link rel="import" href="frontend://bower_components/crud-toolbar/crud-toolbar.html">
<link rel="import" href="frontend://bower_components/uibuilder-editor-window/uibuilder-editor-window.html">

<uibuilder-page>
    <h2>Edit students:</h2>

    <crud-toolbar master-detail-controller="mdc"></crud-toolbar>

    <uibuilder-common-filter>
        <data-source name="studentsDS"></data-source>
        <filter-types>
            <filter-type label="Name" filter="name"></filter-type>
            <filter-type label="Date of birth" filter="dateOfBirth"></filter-type>
        </filter-types>
    </uibuilder-common-filter>

    <vaadin-uibuilder-grid id="grid">
        <data-source name="studentsDS"></data-source>
        <vaadin-grid-column>
            <template class="header">Id</template>
            <template>{{item.id}}</template>
        </vaadin-grid-column>

        <vaadin-grid-column>
            <template class="header">Name</template>
            <template>{{item.name}}</template>
        </vaadin-grid-column>

        <vaadin-grid-column>
            <template class="header">Date of birth</template>
            <template>{{item.dateOfBirth}}</template>
        </vaadin-grid-column>
    </vaadin-uibuilder-grid>

    <uibuilder-editor-window id="detail" header-text="Student detail:">
        <vaadin-text-field label="Name" item-bind="name"></vaadin-text-field>
        <vaadin-date-picker label="Date of birth" item-bind="dateOfBirth"></vaadin-date-picker>
    </uibuilder-editor-window>

    <div style="clear: both"></div>

    <master-detail-controller
            id="mdc" master="grid" detail="detail"
            on-save="studentCB::onSave"
            on-delete="studentCB::onDelete"
            on-refresh="studentCB::onRefresh"
            item-supplier="{{studentCB::create}}">
        <confirm-dialog observed-event="delete" header-text="Really want to delete?">Do you really want to delete the selected student?</confirm-dialog>
    </master-detail-controller>
</uibuilder-page>